Upload Executable for SHA-256 Extraction
curl --request POST \
--url https://app.papelship.com/api/qpapel/v1/remote-settings/upload-sha256 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form product_id=cs2_cheat \
--form file='@example-file'const form = new FormData();
form.append('product_id', 'cs2_cheat');
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.papelship.com/api/qpapel/v1/remote-settings/upload-sha256', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/remote-settings/upload-sha256"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "product_id": "cs2_cheat" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/remote-settings/upload-sha256",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"product_id\"\r\n\r\ncs2_cheat\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/remote-settings/upload-sha256"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"product_id\"\r\n\r\ncs2_cheat\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"message": "SHA-256 hash updated successfully",
"sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
}{
"success": false,
"error": "Missing required field or invalid value"
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Remote Settings
Upload Executable for SHA-256 Extraction
Stream and analyze a compiled binary to auto-compute and update product integrity SHA-256 hash.
POST
/
remote-settings
/
upload-sha256
Upload Executable for SHA-256 Extraction
Authorizations
BearerAuthApiKeyHeaderApiKeyHeaderLegacy
Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).
Body
multipart/form-data